org.apache.calcite.avatica.proto

## Class Requests.OpenConnectionRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>
      - - org.apache.calcite.avatica.proto.Requests.OpenConnectionRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Requests.OpenConnectionRequestOrBuilder

Enclosing class:
  Requests.OpenConnectionRequest

    public static final class Requests.OpenConnectionRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>
    implements Requests.OpenConnectionRequestOrBuilder

     Request for Meta#openConnection(Meta.ConnectionHandle, Map<String, String>)

Protobuf type `OpenConnectionRequest`

### Field Summary

Fields
`private int` `bitField0_`
`private Object` `connectionId_`
`private com.google.protobuf.MapField<String,String>` `info_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`Requests.OpenConnectionRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.OpenConnectionRequest` `build()`
`Requests.OpenConnectionRequest` `buildPartial()`
`Requests.OpenConnectionRequest.Builder` `clear()`
`Requests.OpenConnectionRequest.Builder` `clearConnectionId()` `optional string connection_id = 1;`
`Requests.OpenConnectionRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Requests.OpenConnectionRequest.Builder` `clearInfo()`
`Requests.OpenConnectionRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Requests.OpenConnectionRequest.Builder` `clone()`
`boolean` `containsInfo(String key)` `map<string, string> info = 2;`
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`Requests.OpenConnectionRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Map<String,String>` `getInfo()` Deprecated.
`int` `getInfoCount()` `map<string, string> info = 2;`
`Map<String,String>` `getInfoMap()` `map<string, string> info = 2;`
`String` `getInfoOrDefault(String key, String defaultValue)` `map<string, string> info = 2;`
`String` `getInfoOrThrow(String key)` `map<string, string> info = 2;`
`Map<String,String>` `getMutableInfo()` Deprecated.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`private com.google.protobuf.MapField<String,String>` `internalGetInfo()`
`protected com.google.protobuf.MapField` `internalGetMapField(int number)`
`private com.google.protobuf.MapField<String,String>` `internalGetMutableInfo()`
`protected com.google.protobuf.MapField` `internalGetMutableMapField(int number)`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Requests.OpenConnectionRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Requests.OpenConnectionRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Requests.OpenConnectionRequest.Builder` `mergeFrom(Requests.OpenConnectionRequest other)`
`Requests.OpenConnectionRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Requests.OpenConnectionRequest.Builder` `putAllInfo(Map<String,String> values)` `map<string, string> info = 2;`
`Requests.OpenConnectionRequest.Builder` `putInfo(String key, String value)` `map<string, string> info = 2;`
`Requests.OpenConnectionRequest.Builder` `removeInfo(String key)` `map<string, string> info = 2;`
`Requests.OpenConnectionRequest.Builder` `setConnectionId(String value)` `optional string connection_id = 1;`
`Requests.OpenConnectionRequest.Builder` `setConnectionIdBytes(com.google.protobuf.ByteString value)` `optional string connection_id = 1;`
`Requests.OpenConnectionRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.OpenConnectionRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Requests.OpenConnectionRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### connectionId_

    private Object connectionId_

#### info_

    private com.google.protobuf.MapField<String,String> info_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Requests.OpenConnectionRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### getDefaultInstanceForType

    public Requests.OpenConnectionRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Requests.OpenConnectionRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Requests.OpenConnectionRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Requests.OpenConnectionRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### setField

    public Requests.OpenConnectionRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### clearField

    public Requests.OpenConnectionRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### clearOneof

    public Requests.OpenConnectionRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### setRepeatedField

    public Requests.OpenConnectionRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   int index,
                                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### addRepeatedField

    public Requests.OpenConnectionRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### mergeFrom

    public Requests.OpenConnectionRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.OpenConnectionRequest.Builder>`

#### mergeFrom

    public Requests.OpenConnectionRequest.Builder mergeFrom(Requests.OpenConnectionRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### mergeFrom

    public Requests.OpenConnectionRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.OpenConnectionRequest.Builder>`
Throws:
  `IOException`

#### getConnectionId

    public String getConnectionId()

`optional string connection_id = 1;`

Specified by:
  `getConnectionId` in interface `Requests.OpenConnectionRequestOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

Specified by:
  `getConnectionIdBytes` in interface `Requests.OpenConnectionRequestOrBuilder`

#### setConnectionId

    public Requests.OpenConnectionRequest.Builder setConnectionId(String value)

`optional string connection_id = 1;`

#### clearConnectionId

    public Requests.OpenConnectionRequest.Builder clearConnectionId()

`optional string connection_id = 1;`

#### setConnectionIdBytes

    public Requests.OpenConnectionRequest.Builder setConnectionIdBytes(com.google.protobuf.ByteString value)

`optional string connection_id = 1;`

#### internalGetInfo

    private com.google.protobuf.MapField<String,String> internalGetInfo()

#### internalGetMutableInfo

    private com.google.protobuf.MapField<String,String> internalGetMutableInfo()

#### getInfoCount

    public int getInfoCount()

Description copied from interface: `Requests.OpenConnectionRequestOrBuilder`
`map<string, string> info = 2;`

Specified by:
  `getInfoCount` in interface `Requests.OpenConnectionRequestOrBuilder`

#### containsInfo

    public boolean containsInfo(String key)

`map<string, string> info = 2;`

Specified by:
  `containsInfo` in interface `Requests.OpenConnectionRequestOrBuilder`

#### getInfo

    @Deprecated
    public Map<String,String> getInfo()

Deprecated.
Use `getInfoMap()` instead.

Specified by:
  `getInfo` in interface `Requests.OpenConnectionRequestOrBuilder`

#### getInfoMap

    public Map<String,String> getInfoMap()

`map<string, string> info = 2;`

Specified by:
  `getInfoMap` in interface `Requests.OpenConnectionRequestOrBuilder`

#### getInfoOrDefault

    public String getInfoOrDefault(String key,
                                   String defaultValue)

`map<string, string> info = 2;`

Specified by:
  `getInfoOrDefault` in interface `Requests.OpenConnectionRequestOrBuilder`

#### getInfoOrThrow

    public String getInfoOrThrow(String key)

`map<string, string> info = 2;`

Specified by:
  `getInfoOrThrow` in interface `Requests.OpenConnectionRequestOrBuilder`

#### clearInfo

    public Requests.OpenConnectionRequest.Builder clearInfo()

#### removeInfo

    public Requests.OpenConnectionRequest.Builder removeInfo(String key)

`map<string, string> info = 2;`

#### getMutableInfo

    @Deprecated
    public Map<String,String> getMutableInfo()

Deprecated.
Use alternate mutation accessors instead.

#### putInfo

    public Requests.OpenConnectionRequest.Builder putInfo(String key,
                                                          String value)

`map<string, string> info = 2;`

#### putAllInfo

    public Requests.OpenConnectionRequest.Builder putAllInfo(Map<String,String> values)

`map<string, string> info = 2;`

#### setUnknownFields

    public final Requests.OpenConnectionRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`

#### mergeUnknownFields

    public final Requests.OpenConnectionRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.OpenConnectionRequest.Builder>`